classification
Title: urlparse.parse_qs documentation wrong re: urlencode
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Rob.Kinyon, docs@python, michael.foord, orsenthil, python-dev, qwertyface
Priority: normal Keywords: patch

Created on 2012-08-08 19:47 by Rob.Kinyon, last changed 2012-09-28 13:40 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
Issue-15593.patch qwertyface, 2012-09-28 13:24
Messages (4)
msg167707 - (view) Author: Rob Kinyon (Rob.Kinyon) Date: 2012-08-08 19:47
This may appear to be a duplicate of http://bugs.python.org/issue12390 and http://bugs.python.org/issue833405, but it's not.

The documentation of urlparse.parse_qs() should state that in order for urllib.urlencode to properly reverse its output, the doseq parameter must be set to True. Please amend the documentation to make this very clear.

Ideally, the documentation of urlencode() would also make it clear that doseq=True is required if the output is from parse_qs().
msg171457 - (view) Author: Peter Russell (qwertyface) Date: 2012-09-28 13:24
Attached is a patch which adds a reference to the doseq parameter to urlencode to the documentation for parse_qs
msg171464 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2012-09-28 13:39
UTF-16 patches are relatively unusual...
msg171466 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-28 13:40
New changeset 8590e9b05069 by Michael Foord in branch 'default':
urllib.parse.urlencode doc updarte.
http://hg.python.org/cpython/rev/8590e9b05069
History
Date User Action Args
2012-09-28 13:40:59python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg171466

resolution: fixed
stage: resolved
2012-09-28 13:39:05michael.foordsetnosy: + michael.foord
messages: + msg171464
2012-09-28 13:24:54qwertyfacesetfiles: + Issue-15593.patch

nosy: + qwertyface
messages: + msg171457

keywords: + patch
2012-08-11 21:12:54orsenthilsetnosy: + orsenthil
2012-08-08 19:47:50Rob.Kinyoncreate